# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/Plugin/CPANFile.pm) perl(Dist/Zilla/Plugin/CheckChangesHasContent.pm) perl(Dist/Zilla/Plugin/CheckVersionIncrement.pm) perl(Dist/Zilla/Plugin/ConfirmRelease.pm) perl(Dist/Zilla/Plugin/CopyFilesFromBuild.pm) perl(Dist/Zilla/Plugin/Git/Check.pm) perl(Dist/Zilla/Plugin/Git/CheckFor/CorrectBranch.pm) perl(Dist/Zilla/Plugin/Git/Commit.pm) perl(Dist/Zilla/Plugin/Git/GatherDir.pm) perl(Dist/Zilla/Plugin/Git/Push.pm) perl(Dist/Zilla/Plugin/Git/Tag.pm) perl(Dist/Zilla/Plugin/GithubMeta.pm) perl(Dist/Zilla/Plugin/License.pm) perl(Dist/Zilla/Plugin/Manifest.pm) perl(Dist/Zilla/Plugin/MetaJSON.pm) perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) perl(Dist/Zilla/Plugin/MetaYAML.pm) perl(Dist/Zilla/Plugin/NextRelease.pm) perl(Dist/Zilla/Plugin/PPPort.pm) perl(Dist/Zilla/Plugin/PodCoverageTests.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
BuildRequires: perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) perl(Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm) perl(Dist/Zilla/Plugin/PruneCruft.pm) perl(Dist/Zilla/Plugin/Readme.pm) perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) perl(Dist/Zilla/Plugin/RunExtraTests.pm) perl(Dist/Zilla/Plugin/Test/Kwalitee/Extra.pm) perl(Dist/Zilla/Plugin/Test/Perl/Critic.pm) perl(Dist/Zilla/Plugin/TestRelease.pm) perl(Dist/Zilla/Plugin/UploadToCPAN.pm) perl(Dist/Zilla/Role/PluginBundle/Easy.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/More.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-PluginBundle-Author-AMON
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000001
Release: alt1
Summary: dzil config choices by AMON
Group: Development/Perl
License: perl
URL: https://github.com/latk/p5-Dist-Zilla-PluginBundle-Author-AMON

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AM/AMON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module contains a starting point for AMON's dist.ini.
There are a couple of more or less sensible defaults
(like pointing metadata at Github, or only gathering files tracked by Git)
and a number of valuable checks so that I mess up fewer CPAN releases
(like checking that the Changes file was updated.)
There are also a few convenience features
(like not gathering files that will be generated by the build process.)

Decisions not currently made by this module:

Which build system to use (e.g. Module::Build vs. MakeMaker).

How the version number is managed
(e.g. taken from the module with [VersionFromMainModule]).

How prereqs are found. Simply using [AutoPrereqs] is likely to be correct.

All this may change in a future release without prior notice,
and will not be seen as a backwards-incompatible change.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
* Mon Oct 23 2017 Igor Vlasenko <viy@altlinux.ru> 0.000001-alt1
- initial import by package builder

